// TypeLibraryBrowserDlg.h : header file
//

#if !defined(AFX_TYPELIBRARYBROWSERDLG_H__48C2C150_FE4E_48DD_8163_92BEE11F5A21__INCLUDED_)
#define AFX_TYPELIBRARYBROWSERDLG_H__48C2C150_FE4E_48DD_8163_92BEE11F5A21__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTypeLibraryBrowserDlg dialog
#include "displaytypelibdlg.h"

class CTypeLibraryBrowserDlg : public CDialog
{
// Construction
public:
	CTypeLibraryBrowserDlg(CWnd* pParent = NULL);	// standard constructor

	ITypeLibPtr m_pTypeLib ;

// Dialog Data
	//{{AFX_DATA(CTypeLibraryBrowserDlg)
	enum { IDD = IDD_TYPELIBRARYBROWSER_DIALOG };
	CListCtrl	m_List;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTypeLibraryBrowserDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTypeLibraryBrowserDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpenSelected();
	afx_msg void OnByFileName();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TYPELIBRARYBROWSERDLG_H__48C2C150_FE4E_48DD_8163_92BEE11F5A21__INCLUDED_)
